Bug 8795 - Just add the login branch In orderreveive.tt
Summary: Just add the login branch In orderreveive.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Christophe Croullebois
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-20 07:09 UTC by Christophe Croullebois
Modified: 2013-05-23 06:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (973 bytes, patch)
2012-09-20 07:26 UTC, Christophe Croullebois
Details | Diff | Splinter Review
Bug 8795: Adding the login branch as default in orderreceive.tt (1.17 KB, patch)
2012-10-25 18:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8795: Adding the login branch as default in orderreceive.tt (1.20 KB, patch)
2012-11-26 09:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Patch (1.31 KB, patch)
2012-12-20 10:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Croullebois 2012-09-20 07:09:57 UTC
The homebranch and holdingbranch ddl in item block are not default selected, they just show the first line.
With this patch I just put the default choice as the login branch.
To test : without patch the first line of the ddl is shown. With the patch the login branch is shown in homebranch and holdingbranch.
thx for testing.
Comment 1 Christophe Croullebois 2012-09-20 07:26:12 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-10-25 18:51:10 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-11-20 14:39:18 UTC
QA Comment:

The PrepareItemrecordDisplay routine seems not very clean, a lot of processing is useless.
But it is not the goal of this patch.

This patch works as expected.

So I mark it as Passed QA.

note to test: AcqCreateItem = "receive an order"
Comment 4 Katrin Fischer 2012-11-24 22:39:53 UTC
I would like to get a second QA team sign-off on this patch.
Comment 5 Jonathan Druart 2012-11-26 09:26:47 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2012-11-26 09:37:26 UTC
Still waiting a second QA team member sign off
Comment 7 Marcel de Rooy 2012-12-20 10:31:57 UTC
QA Comment:
Works as advertised. Although this patch only adds one line, it was quite hard to verify if it works and where it works.
The routine PrepareItemrecordDisplay is used only in:
acqui/addorderiso2709.pl
C4/Serials.pm
serials/serials-edit.pl
services/itemrecorddisplay.pl (only called via additem.js) 

But that is not the full picture: 
Script orderreceive.pl goes via additem.js to itemrecorddisplay.pl using the routine.
Script neworderempty.pl also uses the routine that way. Note that this patch therefore DOES also affect AcqCreateItem=ordering ! Have tested that.

The patch makes Acquistion behave like Cataloguing where the routine GetBranchesLoop from Branch.pm already did something similar.

Passed QA
Comment 8 Marcel de Rooy 2012-12-20 10:32:50 UTC
Created attachment 14210 [details] [review]
Patch
Comment 9 Jared Camins-Esakov 2012-12-20 12:55:20 UTC
This patch has been pushed to master.